baz_swap_ff Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_swap_ff.h>`

Inheritance diagram for baz_swap_ff:
[legend]

## Public Member Functions

| ~baz_swap_ff ()
void | set_swap (bool bSwap)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

BAZ_API baz_swap_ff_sptr | baz_make_swap_ff (bool bSwap)
| Return a shared_ptr to a new instance of baz_swap_ff.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ~baz_swap_ff()

baz_swap_ff::~baz_swap_ff | ( |  | ) |

## Member Function Documentation

## set_swap()

void baz_swap_ff::set_swap | ( | bool | bSwap | ) |

## work()

int baz_swap_ff::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Symbol Documentation

## baz_make_swap_ff

BAZ_API baz_swap_ff_sptr baz_make_swap_ff | ( | bool | bSwap | ) |

friend

Return a shared_ptr to a new instance of baz_swap_ff.

To avoid accidental use of raw pointers, baz_swap_ff's constructor is private. baz_make_swap_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_swap_ff.h